package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.evaluation.step.composite.BidBondComposite;

/**
 * @Description: 投标保证金管理
 * @author guoyr
 */
public class LoadBidBondAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		BidBondComposite composite = new BidBondComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
